aboutsummaryrefslogtreecommitdiff
path: root/utils/asn_update.sh
diff options
context:
space:
mode:
authorToni <matzeton@googlemail.com>2023-05-28 12:45:44 +0200
committerGitHub <noreply@github.com>2023-05-28 12:45:44 +0200
commit6da3474203fc2ff5981f6c73f7ad02fa81138166 (patch)
treebe8d74931f416143291ffaa1707cfa2f2103c82b /utils/asn_update.sh
parentb11e6a453b0b870957663d214d9f1a0fdf49af90 (diff)
Improved helper scripts. (#1986)
* added additional (more restrictive) checks Signed-off-by: lns <matzeton@googlemail.com>
Diffstat (limited to 'utils/asn_update.sh')
-rwxr-xr-xutils/asn_update.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/utils/asn_update.sh b/utils/asn_update.sh
index 38e8b37c5..d5ad78ee8 100755
--- a/utils/asn_update.sh
+++ b/utils/asn_update.sh
@@ -1,4 +1,6 @@
-#!/bin/bash
+#!/usr/bin/env bash
+
+set -e
FAILED_ASN=0
TOTAL_ASN=0
@@ -28,6 +30,7 @@ function create_list() {
}
cd "$(dirname "${0}")" || exit 1
+. ./common.sh || exit 1
echo "(1) Downloading Apple routes..."
DEST="../src/lib/inc_generated/ndpi_asn_apple.c.inc"
@@ -194,7 +197,7 @@ DEST=../src/lib/inc_generated/ndpi_asn_nvidia.c.inc
create_list NDPI_PROTOCOL_NVIDIA $DEST "AS60977" "AS50889" "AS20347" "AS11414"
echo "(3) Nvidia IPs are available in $DEST"
-if [ ${TOTAL_ASN} -eq ${FAILED_ASN} ]; then
+if [ ${TOTAL_ASN} -eq 0 -o ${TOTAL_ASN} -eq ${FAILED_ASN} ]; then
printf '%s: %s\n' "${0}" "All download(s) failed, ./get_routes_by_asn.sh broken?"
exit 1
else